# SpongeCommandManager (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: SpongeCommandManager

Package co.aikar.commands

# Class SpongeCommandManager

java.lang.Object
co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>
co.aikar.commands.SpongeCommandManager

public class SpongeCommandManager extends co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SpongeCommandCompletions`
`completions`
`protected SpongeCommandContexts`
`contexts`
`protected SpongeLocales`
`locales`
`protected final org.spongepowered.api.plugin.PluginContainer`
`plugin`
`protected Map<String,SpongeRootCommand>`
`registeredCommands`

### Fields inherited from class co.aikar.commands.CommandManager

`conditions, defaultExceptionHandler, defaultFormatter, defaultHelpPerPage, dependencies, formatters, helpFormatter, issuersLocale, localeChangedCallbacks, replacements, rootCommands, supportedLanguages, usePerIssuerLocale`

## Constructor Summary

Constructors
Constructor
Description
`SpongeCommandManager(org.spongepowered.api.plugin.PluginContainer plugin)`

## Method Summary

Modifier and Type
Method
Description
`SpongeCommandExecutionContext`
`createCommandContext(co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandParameter parameter, co.aikar.commands.CommandIssuer sender, List<String> args, int i, Map<String,Object> passedArgs)`
`co.aikar.commands.CommandCompletionContext`
`createCompletionContext(co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandIssuer sender, String input, String config, String[] args)`
`SpongeConditionContext`
`createConditionContext(co.aikar.commands.CommandIssuer issuer, String config)`
`co.aikar.commands.RegisteredCommand`
`createRegisteredCommand(co.aikar.commands.BaseCommand command, String cmdName, Method method, String prefSubCommand)`
`co.aikar.commands.RootCommand`
`createRootCommand(String cmd)`
`co.aikar.timings.Timing`
`createTiming(String name)`
`co.aikar.commands.CommandCompletions<SpongeCommandCompletionContext>`
`getCommandCompletions()`
`co.aikar.commands.CommandContexts<SpongeCommandExecutionContext>`
`getCommandContexts()`
`SpongeCommandIssuer`
`getCommandIssuer(Object issuer)`
`String`
`getCommandPrefix(co.aikar.commands.CommandIssuer issuer)`
`SpongeLocales`
`getLocales()`
`org.spongepowered.api.plugin.PluginContainer`
`getPlugin()`
`Collection<co.aikar.commands.RootCommand>`
`getRegisteredRootCommands()`
`boolean`
`hasRegisteredCommands()`
`boolean`
`isCommandIssuer(Class<?> type)`
`void`
`log(co.aikar.commands.LogLevel level, String message, Throwable throwable)`
`void`
`registerCommand(co.aikar.commands.BaseCommand command)`

### Methods inherited from class co.aikar.commands.CommandManager

`addSupportedLanguage, enableUnstableAPI, formatMessage, generateCommandHelp, generateCommandHelp, generateCommandHelp, generateCommandHelp, getCommandConditions, getCommandReplacements, getCurrentCommandIssuer, getCurrentCommandManager, getCurrentCommandOperationContext, getDefaultExceptionHandler, getDefaultFormatter, getDefaultHelpPerPage, getFormat, getHelpFormatter, getIssuerLocale, getRootCommand, getSupportedLanguages, handleUncaughtException, hasPermission, hasPermission, isLoggingUnhandledExceptions, log, notifyLocaleChange, obtainRootCommand, onLocaleChange, registerDependency, registerDependency, sendMessage, sendMessage, setDefaultExceptionHandler, setDefaultExceptionHandler, setDefaultFormatter, setDefaultHelpPerPage, setFormat, setFormat, setFormat, setHelpFormatter, setIssuerLocale, usePerIssuerLocale, usingPerIssuerLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### plugin

protected final org.spongepowered.api.plugin.PluginContainer plugin

### registeredCommands

protected Map<String,SpongeRootCommand> registeredCommands

### contexts

protected SpongeCommandContexts contexts

### completions

protected SpongeCommandCompletions completions

### locales

protected SpongeLocales locales

## Constructor Details

### SpongeCommandManager

public SpongeCommandManager (org.spongepowered.api.plugin.PluginContainer plugin)

## Method Details

### getPlugin

public org.spongepowered.api.plugin.PluginContainer getPlugin()

### isCommandIssuer

public boolean isCommandIssuer (Class<?> type)

Specified by:
  `isCommandIssuer` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### getCommandContexts

public co.aikar.commands.CommandContexts<SpongeCommandExecutionContext> getCommandContexts()

Specified by:
  `getCommandContexts` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### getCommandCompletions

public co.aikar.commands.CommandCompletions<SpongeCommandCompletionContext> getCommandCompletions()

Specified by:
  `getCommandCompletions` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### getLocales

public SpongeLocales getLocales()

Specified by:
  `getLocales` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### hasRegisteredCommands

public boolean hasRegisteredCommands()

Specified by:
  `hasRegisteredCommands` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### registerCommand

public void registerCommand (co.aikar.commands.BaseCommand command)

Specified by:
  `registerCommand` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### createTiming

public co.aikar.timings.Timing createTiming (String name)

### createRootCommand

public co.aikar.commands.RootCommand createRootCommand (String cmd)

Specified by:
  `createRootCommand` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### getRegisteredRootCommands

public Collection<co.aikar.commands.RootCommand> getRegisteredRootCommands()

Specified by:
  `getRegisteredRootCommands` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### getCommandIssuer

public SpongeCommandIssuer getCommandIssuer (Object issuer)

Specified by:
  `getCommandIssuer` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### createCommandContext

public SpongeCommandExecutionContext createCommandContext (co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandParameter parameter, co.aikar.commands.CommandIssuer sender, List<String> args, int i, Map<String,Object> passedArgs)

Specified by:
  `createCommandContext` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### createCompletionContext

public co.aikar.commands.CommandCompletionContext createCompletionContext (co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandIssuer sender, String input, String config, String[] args)

Specified by:
  `createCompletionContext` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### createRegisteredCommand

public co.aikar.commands.RegisteredCommand createRegisteredCommand (co.aikar.commands.BaseCommand command, String cmdName, Method method, String prefSubCommand)

Overrides:
  `createRegisteredCommand` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### log

public void log (co.aikar.commands.LogLevel level, String message, Throwable throwable)

Specified by:
  `log` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### createConditionContext

public SpongeConditionContext createConditionContext (co.aikar.commands.CommandIssuer issuer, String config)

Overrides:
  `createConditionContext` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`

### getCommandPrefix

public String getCommandPrefix (co.aikar.commands.CommandIssuer issuer)

Overrides:
  `getCommandPrefix` in class `co.aikar.commands.CommandManager<org.spongepowered.api.command.CommandSource,SpongeCommandIssuer,org.spongepowered.api.text.format.TextColor,SpongeMessageFormatter,SpongeCommandExecutionContext,SpongeConditionContext>`